﻿import es
import popuplib

# ******************** Load ********************
def load():
	create_popup_leagues()
	create_popup_leagues_acssl()
	create_popup_leagues_ssl()
	create_popup_leagues_xsl()

# ******************** Create popups ********************
def create_popup_leagues():
	popup = popuplib.create("sm_popup_info_leagues")
	popup.addline("SOCCER LEAGUES")
	popup.addline(" ")
	popup.addline("->1. Australian Counter Strike Soccer League")
	popup.addline("->2. Source Soccer League")
	popup.addline("->3. eXtreme Soccer League")
	popup.addline(" ")
	popup.addline("->9. Back")
	popup.addline(" ")
	popup.addline("0. Close")
	popup.submenu(1, "sm_popup_info_leagues_acssl")
	popup.submenu(2, "sm_popup_info_leagues_ssl")
	popup.submenu(3, "sm_popup_info_leagues_xsl")
	popup.submenu(4, "sm_popup_info_leagues")
	popup.submenu(5, "sm_popup_info_leagues")
	popup.submenu(6, "sm_popup_info_leagues")
	popup.submenu(7, "sm_popup_info_leagues")
	popup.submenu(8, "sm_popup_info_leagues")
	popup.submenu(9, "sm_popup_info")

def create_popup_leagues_acssl():
	popup = popuplib.create("sm_popup_info_leagues_acssl")
	popup.addline("AUSTRALIAN COUNTER STRIKE SOCCER LEAGUE")
	popup.addline(" ")
	popup.addline("Location: Australia")
	popup.addline("Website: www.acssl.com")
	popup.addline(" ")
	popup.addline("->9. Back")
	popup.addline(" ")
	popup.addline("0. Close")
	popup.submenu(1, "sm_popup_info_leagues_acssl")
	popup.submenu(2, "sm_popup_info_leagues_acssl")
	popup.submenu(3, "sm_popup_info_leagues_acssl")
	popup.submenu(4, "sm_popup_info_leagues_acssl")
	popup.submenu(5, "sm_popup_info_leagues_acssl")
	popup.submenu(6, "sm_popup_info_leagues_acssl")
	popup.submenu(7, "sm_popup_info_leagues_acssl")
	popup.submenu(8, "sm_popup_info_leagues_acssl")
	popup.submenu(9, "sm_popup_info_leagues")

def create_popup_leagues_ssl():
	popup = popuplib.create("sm_popup_info_leagues_ssl")
	popup.addline("SOURCE SOCCER LEAGUE")
	popup.addline(" ")
	popup.addline("Location: North America")
	popup.addline("Website: www.sourcesoccerleague.com")
	popup.addline(" ")
	popup.addline("->9. Back")
	popup.addline(" ")
	popup.addline("0. Close")
	popup.submenu(1, "sm_popup_info_leagues_ssl")
	popup.submenu(2, "sm_popup_info_leagues_ssl")
	popup.submenu(3, "sm_popup_info_leagues_ssl")
	popup.submenu(4, "sm_popup_info_leagues_ssl")
	popup.submenu(5, "sm_popup_info_leagues_ssl")
	popup.submenu(6, "sm_popup_info_leagues_ssl")
	popup.submenu(7, "sm_popup_info_leagues_ssl")
	popup.submenu(8, "sm_popup_info_leagues_ssl")
	popup.submenu(9, "sm_popup_info_leagues")

def create_popup_leagues_xsl():
	popup = popuplib.create("sm_popup_info_leagues_xsl")
	popup.addline("EXTREME SOCCER LEAGUE")
	popup.addline(" ")
	popup.addline("Location: Europe")
	popup.addline("Website: www.xsleague.com")
	popup.addline(" ")
	popup.addline("->9. Back")
	popup.addline(" ")
	popup.addline("0. Close")
	popup.submenu(1, "sm_popup_info_leagues_xsl")
	popup.submenu(2, "sm_popup_info_leagues_xsl")
	popup.submenu(3, "sm_popup_info_leagues_xsl")
	popup.submenu(4, "sm_popup_info_leagues_xsl")
	popup.submenu(5, "sm_popup_info_leagues_xsl")
	popup.submenu(6, "sm_popup_info_leagues_xsl")
	popup.submenu(7, "sm_popup_info_leagues_xsl")
	popup.submenu(8, "sm_popup_info_leagues_xsl")
	popup.submenu(9, "sm_popup_info_leagues")

# ******************** Functions ********************
def delete_popup(name):
	if popuplib.exists(name):
		popuplib.delete(name)

# ******************** Unload ********************
def unload():
	delete_popup("sm_popup_info_leagues")
	delete_popup("sm_popup_info_leagues_acssl")
	delete_popup("sm_popup_info_leagues_ssl")
	delete_popup("sm_popup_info_leagues_xsl")