﻿import es
import esamlib
import popuplib

# ******************** Load ********************
def load():
	create_popup_mod()
	create_popup_mod_version()
	create_popup_mod_credits()
	create_popup_mod_translations()

# ******************** Events ********************
def es_map_start(event_var):
	delete_popup("sm_popup_info_mod_version")
	create_popup_mod_version()

# ******************** Create popups ********************
def create_popup_mod():
	popup = popuplib.create("sm_popup_info_mod")
	popup.addline("SOCCER MOD INFO")
	popup.addline(" ")
	popup.addline("->1. Version info")
	popup.addline("->2. Credits")
	popup.addline("->3. Translations")
	popup.addline(" ")
	popup.addline("->9. Back")
	popup.addline(" ")
	popup.addline("0. Close")
	popup.submenu(1, "sm_popup_info_mod_version")
	popup.submenu(2, "sm_popup_info_mod_credits")
	popup.submenu(3, "sm_popup_info_mod_translations")
	popup.submenu(4, "sm_popup_info_mod")
	popup.submenu(5, "sm_popup_info_mod")
	popup.submenu(6, "sm_popup_info_mod")
	popup.submenu(7, "sm_popup_info_mod")
	popup.submenu(8, "sm_popup_info_mod")
	popup.submenu(9, "sm_popup_info")

def create_popup_mod_version():
	popup = popuplib.create("sm_popup_info_mod_version")
	popup.addline("SOCCER MOD VERSION INFO")
	popup.addline(" ")

	value = es.ServerVar("soccer_mod_2010_version")
	line = "Current version: %s" % (value)
	popup.addline(line)

	popup.addline("Latest available version: error getting version number")
	popup.addline(" ")
	popup.addline("Go to http://addons.eventscripts.com/addons/view/soccer_mod_2010")
	popup.addline("or http://www.fcdordrechtclan.com/ to download")
	popup.addline("the latest version of Soccer Mod.")
	popup.addline(" ")
	popup.addline("->9. Back")
	popup.addline(" ")
	popup.addline("0. Close")
	popup.submenu(1, "sm_popup_info_mod_version")
	popup.submenu(2, "sm_popup_info_mod_version")
	popup.submenu(3, "sm_popup_info_mod_version")
	popup.submenu(4, "sm_popup_info_mod_version")
	popup.submenu(5, "sm_popup_info_mod_version")
	popup.submenu(6, "sm_popup_info_mod_version")
	popup.submenu(7, "sm_popup_info_mod_version")
	popup.submenu(8, "sm_popup_info_mod_version")
	popup.submenu(9, "sm_popup_info_mod")

	css = esamlib.getAddon("soccer_mod_2010")
	line = "Latest available version: %s" % (css.currentversion)
	popup.modline(4, line)

def create_popup_mod_credits():
	popup = popuplib.create("sm_popup_info_mod_credits")
	popup.addline("SOCCER MOD CREDITS")
	popup.addline(" ")
	popup.addline("SCRIPT:")
	popup.addline("- FCD | Cor Lems")
	popup.addline("- FCD | Marco Boogers")
	popup.addline(" ")
	popup.addline("SKINS:")
	popup.addline("- FCD | Termi")
	popup.addline(" ")
	popup.addline("TRAINING BALL MODEL:")
	popup.addline("- FCD | Marco Boogers")
	popup.addline(" ")
	popup.addline("->9. Back")
	popup.addline(" ")
	popup.addline("0. Close")
	popup.submenu(1, "sm_popup_info_mod_credits")
	popup.submenu(2, "sm_popup_info_mod_credits")
	popup.submenu(3, "sm_popup_info_mod_credits")
	popup.submenu(4, "sm_popup_info_mod_credits")
	popup.submenu(5, "sm_popup_info_mod_credits")
	popup.submenu(6, "sm_popup_info_mod_credits")
	popup.submenu(7, "sm_popup_info_mod_credits")
	popup.submenu(8, "sm_popup_info_mod_credits")
	popup.submenu(9, "sm_popup_info_mod")

def create_popup_mod_translations():
	popup = popuplib.create("sm_popup_info_mod_translations")
	popup.addline("SOCCER MOD TRANSLATIONS")
	popup.addline(" ")
	popup.addline("- FCD | Marco Boogers (English)")
	popup.addline("- FCD | Tanker (Dutch/Nederlands)")
	popup.addline("- FCD | Termi (German/Deutsch)")
	popup.addline("- K.M.O.D. (French/Français)")
	popup.addline("- Apolo (Spanish/Español)")
	popup.addline("- Sychev (Russian/Русский)")
	popup.addline(" ")
	popup.addline("->9. Back")
	popup.addline(" ")
	popup.addline("0. Close")
	popup.submenu(1, "sm_popup_info_mod_translations")
	popup.submenu(2, "sm_popup_info_mod_translations")
	popup.submenu(3, "sm_popup_info_mod_translations")
	popup.submenu(4, "sm_popup_info_mod_translations")
	popup.submenu(5, "sm_popup_info_mod_translations")
	popup.submenu(6, "sm_popup_info_mod_translations")
	popup.submenu(7, "sm_popup_info_mod_translations")
	popup.submenu(8, "sm_popup_info_mod_translations")
	popup.submenu(9, "sm_popup_info_mod")

# ******************** Functions ********************
def delete_popup(name):
	if popuplib.exists(name):
		popuplib.delete(name)

# ******************** Unload ********************
def unload():
	delete_popup("sm_popup_info_mod")
	delete_popup("sm_popup_info_mod_version")
	delete_popup("sm_popup_info_mod_credits")
	delete_popup("sm_popup_info_mod_translations")